ExchangeServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface ExchangeServer

extends AppServer, Version

Represents the Exchange Server

Naming Rules:
  0="activeDirectoryDomainName"
Persistable:
  true
Table Name:
  EXCHSRVR
Display Name:
  activeDirectoryDomainName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`ActiveDirectory` | `getActiveDirectory()`
`java.lang.String` | `getActiveDirectoryDomainName()` The fully qualified domain name of the computer running Microsoft Exchange server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Server.FQDN
`java.lang.String` | `getActiveDirectoryGUID()` The globally unique identifier (GUID) attribute of the server object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.GUID Example 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F
`ExchangeAdministrativeGroup` | `getAdministrativeGroup()`
`java.lang.String` | `getAdministrativeNote()` The administrative note for the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.
`long` | `getCreationTime()` Indicates when the Microsoft Active Directory object was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.CreationTime
`java.lang.String` | `getDistinguishedName()` The distinguished name attribute on the server object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.DN Example CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local
`ExchangeDSAccessDomainController[]` | `getDSAccessDCs()`
`boolean` | `getFrontEndServer()` Indicates whether the server is a front-end server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.IsFrontEndServer
`boolean` | `getMessageTrackingEnabled()` Indicates whether message tracking is enabled on the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingEnabled
`int` | `getMessageTrackingLogFileLifetime()` Indicates how long message tracking logs are to be kept Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingLogFileLifetime Example 0 Unit of Measure: days Maximum length (or range): 24855
`java.lang.String` | `getMessageTrackingLogFilePath()` The location where message tracking logs are stored Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingLogFilePath Example C:\Program Files\Exchsrvr\TV045077.log
`boolean` | `getMonitoringEnabled()` Indicates whether monitoring is enabled on the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MonitoringEnabled
`java.lang.String` | `getMTADataPath()` The location of the MTA queue files Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MTADataPath
`ExchangeProtocolVirtualServer[]` | `getProtocolVirtualServers()`
`ExchangeRoutingGroup` | `getRoutingGroup()`
`int` | `getServerType()` The server type (see enum for types) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.Type
`ExchangeStorageGroup[]` | `getStorageGroups()`
`boolean` | `getSubjectLoggingEnabled()` Indicates whether message subjects are included in message tracking logs Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.SubjectLoggingEnabled
`boolean` | `hasActiveDirectory()`
`boolean` | `hasActiveDirectoryDomainName()`
`boolean` | `hasActiveDirectoryGUID()`
`boolean` | `hasAdministrativeGroup()`
`boolean` | `hasAdministrativeNote()`
`boolean` | `hasCreationTime()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasDSAccessDCs()`
`boolean` | `hasFrontEndServer()`
`boolean` | `hasMessageTrackingEnabled()`
`boolean` | `hasMessageTrackingLogFileLifetime()`
`boolean` | `hasMessageTrackingLogFilePath()`
`boolean` | `hasMonitoringEnabled()`
`boolean` | `hasMTADataPath()`
`boolean` | `hasProtocolVirtualServers()`
`boolean` | `hasRoutingGroup()`
`boolean` | `hasServerType()`
`boolean` | `hasStorageGroups()`
`boolean` | `hasSubjectLoggingEnabled()`
`void` | `setActiveDirectory(ActiveDirectory x)`
`void` | `setActiveDirectoryDomainName(java.lang.String x)`
`void` | `setActiveDirectoryGUID(java.lang.String x)`
`void` | `setAdministrativeGroup(ExchangeAdministrativeGroup x)`
`void` | `setAdministrativeNote(java.lang.String x)`
`void` | `setCreationTime(long x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setDSAccessDCs(ExchangeDSAccessDomainController[] x)`
`void` | `setFrontEndServer(boolean x)`
`void` | `setMessageTrackingEnabled(boolean x)`
`void` | `setMessageTrackingLogFileLifetime(int x)`
`void` | `setMessageTrackingLogFilePath(java.lang.String x)`
`void` | `setMonitoringEnabled(boolean x)`
`void` | `setMTADataPath(java.lang.String x)`
`void` | `setProtocolVirtualServers(ExchangeProtocolVirtualServer[] x)`
`void` | `setRoutingGroup(ExchangeRoutingGroup x)`
`void` | `setServerType(int x)`
`void` | `setStorageGroups(ExchangeStorageGroup[] x)`
`void` | `setSubjectLoggingEnabled(boolean x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getActiveDirectory

    ActiveDirectory getActiveDirectory()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Requires" reverse="false"

### setActiveDirectory

    void setActiveDirectory(ActiveDirectory x)

### hasActiveDirectory

    boolean hasActiveDirectory()

### getProtocolVirtualServers

    ExchangeProtocolVirtualServer[] getProtocolVirtualServers()
                                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setProtocolVirtualServers

    void setProtocolVirtualServers(ExchangeProtocolVirtualServer[] x)

### hasProtocolVirtualServers

    boolean hasProtocolVirtualServers()

### getMessageTrackingLogFilePath

    java.lang.String getMessageTrackingLogFilePath()
                                                   throws AttributeNotSetException

  The location where message tracking logs are stored Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingLogFilePath Example C:\Program Files\Exchsrvr\TV045077.log

  Throws:
    `AttributeNotSetException`

### setMessageTrackingLogFilePath

    void setMessageTrackingLogFilePath(java.lang.String x)

### hasMessageTrackingLogFilePath

    boolean hasMessageTrackingLogFilePath()

### getMonitoringEnabled

    boolean getMonitoringEnabled()
                                 throws AttributeNotSetException

  Indicates whether monitoring is enabled on the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MonitoringEnabled

  Throws:
    `AttributeNotSetException`

### setMonitoringEnabled

    void setMonitoringEnabled(boolean x)

### hasMonitoringEnabled

    boolean hasMonitoringEnabled()

### getCreationTime

    long getCreationTime()
                         throws AttributeNotSetException

  Indicates when the Microsoft Active Directory object was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.CreationTime

  Throws:
    `AttributeNotSetException`

### setCreationTime

    void setCreationTime(long x)

### hasCreationTime

    boolean hasCreationTime()

### getMessageTrackingLogFileLifetime

    int getMessageTrackingLogFileLifetime()
                                          throws AttributeNotSetException

  Indicates how long message tracking logs are to be kept Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingLogFileLifetime Example 0 Unit of Measure: days Maximum length (or range): 24855

  Throws:
    `AttributeNotSetException`

### setMessageTrackingLogFileLifetime

    void setMessageTrackingLogFileLifetime(int x)

### hasMessageTrackingLogFileLifetime

    boolean hasMessageTrackingLogFileLifetime()

### getActiveDirectoryGUID

    java.lang.String getActiveDirectoryGUID()
                                            throws AttributeNotSetException

  The globally unique identifier (GUID) attribute of the server object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.GUID Example 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F

  Throws:
    `AttributeNotSetException`

### setActiveDirectoryGUID

    void setActiveDirectoryGUID(java.lang.String x)

### hasActiveDirectoryGUID

    boolean hasActiveDirectoryGUID()

### getAdministrativeNote

    java.lang.String getAdministrativeNote()
                                           throws AttributeNotSetException

  The administrative note for the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server. AdministrativeNote

  Throws:
    `AttributeNotSetException`

### setAdministrativeNote

    void setAdministrativeNote(java.lang.String x)

### hasAdministrativeNote

    boolean hasAdministrativeNote()

### getMessageTrackingEnabled

    boolean getMessageTrackingEnabled()
                                      throws AttributeNotSetException

  Indicates whether message tracking is enabled on the server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MessageTrackingEnabled

  Throws:
    `AttributeNotSetException`

### setMessageTrackingEnabled

    void setMessageTrackingEnabled(boolean x)

### hasMessageTrackingEnabled

    boolean hasMessageTrackingEnabled()

### getRoutingGroup

    ExchangeRoutingGroup getRoutingGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setRoutingGroup

    void setRoutingGroup(ExchangeRoutingGroup x)

### hasRoutingGroup

    boolean hasRoutingGroup()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name attribute on the server object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.DN Example CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

### getAdministrativeGroup

    ExchangeAdministrativeGroup getAdministrativeGroup()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setAdministrativeGroup

    void setAdministrativeGroup(ExchangeAdministrativeGroup x)

### hasAdministrativeGroup

    boolean hasAdministrativeGroup()

### getSubjectLoggingEnabled

    boolean getSubjectLoggingEnabled()
                                     throws AttributeNotSetException

  Indicates whether message subjects are included in message tracking logs Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.SubjectLoggingEnabled

  Throws:
    `AttributeNotSetException`

### setSubjectLoggingEnabled

    void setSubjectLoggingEnabled(boolean x)

### hasSubjectLoggingEnabled

    boolean hasSubjectLoggingEnabled()

### getDSAccessDCs

    ExchangeDSAccessDomainController[] getDSAccessDCs()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDSAccessDCs

    void setDSAccessDCs(ExchangeDSAccessDomainController[] x)

### hasDSAccessDCs

    boolean hasDSAccessDCs()

### getActiveDirectoryDomainName

    java.lang.String getActiveDirectoryDomainName()
                                                  throws AttributeNotSetException

  The fully qualified domain name of the computer running Microsoft Exchange server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_ Server.FQDN

  Throws:
    `AttributeNotSetException`

### setActiveDirectoryDomainName

    void setActiveDirectoryDomainName(java.lang.String x)

### hasActiveDirectoryDomainName

    boolean hasActiveDirectoryDomainName()

### getStorageGroups

    ExchangeStorageGroup[] getStorageGroups()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setStorageGroups

    void setStorageGroups(ExchangeStorageGroup[] x)

### hasStorageGroups

    boolean hasStorageGroups()

### getFrontEndServer

    boolean getFrontEndServer()
                              throws AttributeNotSetException

  Indicates whether the server is a front-end server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.IsFrontEndServer

  Throws:
    `AttributeNotSetException`

### setFrontEndServer

    void setFrontEndServer(boolean x)

### hasFrontEndServer

    boolean hasFrontEndServer()

### getServerType

    int getServerType()
                      throws AttributeNotSetException

  The server type (see enum for types) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.Type

  Throws:
    `AttributeNotSetException`

### setServerType

    void setServerType(int x)

### hasServerType

    boolean hasServerType()

### getMTADataPath

    java.lang.String getMTADataPath()
                                    throws AttributeNotSetException

  The location of the MTA queue files Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_Server.MTADataPath

  Throws:
    `AttributeNotSetException`

### setMTADataPath

    void setMTADataPath(java.lang.String x)

### hasMTADataPath

    boolean hasMTADataPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD